Host Profile Manager Retrieve Host Customizations

Host Profile Manager Retrieve Host Customizations
This is the batch version of vim.profile.host.ProfileManager@retrieveAnswerFile.

This is the batch version of vim.profile.host.ProfileManager@retrieveAnswerFile.

Returns a map that contains the hosts and their answer file data objects.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostProfileManager/{moId}/RetrieveHostCustomizations
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveHostCustomizationsRequestType of type(s) application/json
Optional
{
    "hosts": [
        {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    ]
}
array of object
hosts
Optional

Hosts with which the answer files are associated.

Required privileges: Profile.Edit

Authentication
This operation uses the following authentication methods.
Responses
200

A map that contains the hosts and their answer files.

[
    {
        "_typeName": "string",
        "entity": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "customizations": {
            "_typeName": "string",
            "userInput": [
                {
                    "_typeName": "string",
                    "inputPath": {
                        "_typeName": "string",
                        "profilePath": "string",
                        "policyId": "string",
                        "parameterId": "string",
                        "policyOptionId": "string"
                    },
                    "parameter": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ]
                }
            ],
            "createdTime": "string",
            "modifiedTime": "string"
        }
    }
]
array of object
Optional

Implementation of HostProfilesEntityCustomizations that maps a cluster or host profile to the AnswerFile object containing the host profiles customizations for that entity.

This object will be used as elements of the HostProfilesEntityCustomizations.{vim.profile.host.ProfileManager.EntityCustomizations#entityCustomizations} when the HostProfilesEntityCustomizations.{vim.profile.host.ProfileManager.EntityCustomizations#customizationsFormat} value is "structured".


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/HostProfileManager/{moId}/RetrieveHostCustomizations